Subject: [Sipping] RE: [Fwd: WGLC of draft-ietf-sipping-service-examples-10.txt]

From: "Ravipati, Chandra \(Chandra\)" <[email-masked]>
Date: Mon, 19 Jun 2006 11:57:50 -0600

Hi, 
Here are my comments:

Section 3.10: 3-way Conference - Third Party is Added ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 1:
~~~~~~~~~~

Bob first sends a re-INVITE to Alice changing Contact URIs to one that indicates Alice's mixer and acts ike a focus.
          ^^^^^^^
Should say

Bob first sends a re-INVITE to Alice changing Contact URIs to one that indicates Bob's mixer and acts ike a focus.
          ^^^^^^

Comment 2: 
~~~~~~~~~~
	F3 should not have empty line in SDP between "t=3034423619 0" and " m=audio 3456 RTP/AVP 0"

Comment 3:
~~~~~~~~~~

Wouldn't it be better to send the "isfocus" re-INVITE to Alice after carol is actually conferenced in?
That way, Alice would not get the false impression if Bob aborts conference because Carol isn't answering. 

Comment 4: 
~~~~~~~~~~

Should Bob send a hold re-INVITE to Alice before he calls Carol?

2.11.  3-way Conference - Third Party Joins ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Comment 1:
~~~~~~~~~~

Should 

Carol could have learned Bobs conference URI using some non-SIP means
                              ^^^^^^^^^^^^^^^

Say

Carol could have learned Bobs dialog info using some non-SIP means
                              ^^^^^^^^^^^

Comment 2:
~~~~~~~~~~

F6 should say "180 Ringing Bob -> Carol".

Comment 3:
~~~~~~~~~~

F8 (200 OK from Alice to Bob ) should not have "isfocus" in Contact. 

Comment 4:
~~~~~~~~~~
F10 (200 OK Bob -> Carol) should contain "isfocus" in Contact.

Comment 5: 
~~~~~~~~~~
F11 ACK should be sent to Bob's contact "sips:bob-Mixer@...."

Thanks,
Chandra

-----Original Message-----
From: Gonzalo Camarillo [mailto:[email-masked]] 
Sent: Sunday, June 04, 2006 10:17 AM
To: [email-masked]; [email-masked]; [email-masked]; [email-masked]; Ravipati, Chandra (Chandra); [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: Mary Barnes; Alan Johnston; Robert Sparks; [email-masked]; Cullen Jennings; Jon Peterson
Subject: [Fwd: WGLC of draft-ietf-sipping-service-examples-10.txt]

Hi,

all of you in the 'To' field of this email have volunteered to review
the service examples draft. Thanks a lot for agreeing to perform this
review.

This is how we would like to divide the work: in the list below, I have
assigned a few sections to each of the reviewers. When you are done with
your review, send it in a reply-to-all to the email below, which was the
WGLC for this draft on the SIPPING mailing list. We would like to have 
all the reviews ready by the end of the WGLC, on July 1st.

<[email-masked]>
      2.1.  Call Hold
      2.2.  Consultation Hold

<[email-masked]>
      2.3.  Music On Hold
      2.18. Automatic Redial
      2.19. Click to Dial

<[email-masked]>
      2.4.  Transfer - Unattended
      2.5.  Transfer - Attended
      2.6.  Transfer - Instant Messaging

<[email-masked]>
      2.7.  Call Forwarding Unconditional
      2.8.  Call Forwarding - Busy
      2.9.  Call Forwarding - No Answer

<[email-masked]>
      2.10. 3-way Conference - Third Party is Added
      2.11. 3-way Conference - Third Party Joins

<[email-masked]>
      2.12. Single Line Extension

<[email-masked]>
      2.13. Find-Me

<[email-masked]>
      2.14. Call Management (Incoming Call Screening)
      2.15. Call Management (Outgoing Call Screening)

<[email-masked]>
      2.16. Call Park
      2.17. Call Pickup

Thanks,

Gonzalo

-------- Original Message --------
Subject: WGLC  of draft-ietf-sipping-service-examples-10.txt
Date: Thu, 11 May 2006 20:37:40 +0300
From: Gonzalo Camarillo <[email-masked]>
To: sipping <[email-masked]>
CC: Samuli Pöykkö <[email-masked]>,  Mary Barnes
<[email-masked]>, Alan Johnston <[email-masked]>, Robert
Sparks <[email-masked]>,  [email-masked]

Folks,

we would like to working group last call (WGLC) the following draft:

http://www.ietf.org/internet-drafts/draft-ietf-sipping-service-examples-10.txt

as you have probably noticed if you clicked on the link above, this is a
very long draft. Therefore, we would like to get at least ten volunteers
to review it. We will assign a couple of sections to each reviewer.

If you are interested and willing to review this draft, please send an
email to the SIPPING chairs.

The email below should be considered as a WGLC comment:

http://www1.ietf.org/mail-archive/web/sipping/current/msg10886.html

This is the output of the idnits tool:

idnits 1.96

tmp/draft-ietf-sipping-service-examples-10.txt:

   Checking nits according to http://www.ietf.org/ID-Checklist.html:

     Checking conformance with RFC 3978/3979 boilerplate...

     the boilerplate looks good.

   * There is 1 instance of too long lines in the document, the longest one
     being 1 character in excess of 72.

   Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
     Nothing found here (but these checks do not cover all of
     1id-guidelines.txt yet).

   Miscellaneous warnings:
   - Line 1028 has weird spacing: '... /* Bob  place...'
   - Line 1404 has weird spacing: '... /* Bob  takes...'
   - Line 1732 has weird spacing: '... /* Bob  place...'
   - Line 2459 has weird spacing: '...and Bob  have ...'
   - Line 2597 has weird spacing: '... /* Bob  puts ...'
   - (4 more instances...)

   Experimental warnings:
   - Unused Reference: [18] is defined on line 7860, but not referenced
   - Unused Reference: [13] is defined on line 7839, but not referenced
   - Unused Reference: [14] is defined on line 7842, but not referenced
   - Unused Reference: [1] is defined on line 7795, but not referenced

This WGLC will end on July 1st, 2006 (a long draft needs a long WGLC).

Thanks,

Gonzalo
SIPPING co-chair

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP